This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1464805 - Adding PGP sub-keys times out
Adding PGP sub-keys times out
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Extensions (Show other bugs)
5.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-25 18:54 EDT by Jeff Fearn
Modified: 2017-07-13 23:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.0.3-rh31
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-13 23:08:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2017-06-25 18:54:08 EDT
Description of problem:
It's been reported that adding 4K PGP keys to the beta can time out the UI. The key appears to be added but the test email might not be sent. User can;t cofrim as email out is disabled on beta.
Comment 1 Jeff Fearn 2017-07-01 20:54:47 EDT
This appears to be related to sub-keys not key size.

When sub-keys are being used incorrect keys are being chosen. It appears the first sub-key is always selected, it should select the sub-key that:

1: matches the email address
2: is marked for encryption
3: has the longest expiry time*

In version 4 keys some of that data is kept in the signatures following the certificate.

* review this, IIRC there is a way in the key to set preferred certs, if set then the preferred encryption cert should be selected.
Comment 2 Jeff Fearn 2017-07-12 21:56:49 EDT
gpg dir creation can fail unless gpg_home_dir is a full path

Note You need to log in before you can comment on or make changes to this bug.